<?xml version="1.0"?>
<configuration>
  <system.serviceModel>
    <bindings>
      <webHttpBinding>
        <!--这个是接收大数据加的-->
        <binding name="webBinding" maxBufferPoolSize="2147483647" maxBufferSize="2147483647" maxReceivedMessageSize="2147483647">
          <readerQuotas maxDepth="2147483647" maxStringContentLength="2147483647" maxArrayLength="2147483647" maxBytesPerRead="2147483647" maxNameTableCharCount="2147483647"/>
        </binding>
      </webHttpBinding>
    </bindings>

    <behaviors>
      <serviceBehaviors>
        <behavior name="mySerBeh">
          <serviceMetadata httpGetEnabled="true"/>
          <!--httpGetUrl="mex"-->
          <serviceDebug httpHelpPageEnabled="true" includeExceptionDetailInFaults="false"/>
        </behavior>
      </serviceBehaviors>

      <endpointBehaviors>
        <behavior name="webHttpendBehavior">
          <webHttp></webHttp>
        </behavior>
      </endpointBehaviors>
    </behaviors>

    <services>
      <service behaviorConfiguration="mySerBeh" name="Cloud.UpdateSong.DiskService">
        <endpoint address="disk" behaviorConfiguration="webHttpendBehavior"
          binding="webHttpBinding" bindingConfiguration="webBinding" contract="Cloud.UpdateSong.IDisk" />
        <host>
          <baseAddresses>
            <add baseAddress="http://127.0.0.1:21455/" />
          </baseAddresses>
        </host>
      </service>
    </services>
  </system.serviceModel>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0"/>
  </startup>
</configuration>
